
<include file="public@header" />
</head>
<body>
	<div class="wrap">
		<ul class="nav nav-tabs">
			<li ><a href="{:url('Liveing/index')}">{:lang('LIVE_STREAM_LIST')}</a></li>
			<li class="active"><a >{:lang('EDIT')}</a></li>
		</ul>
		<form method="post" class="form-horizontal js-ajax-form margin-top-20" action="{:url('Liveing/editPost')}">
            <div class="form-group">
				<label for="input-uid" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('USER_ID')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-uid" name="uid" value="{$data['uid']}" readonly>
				</div>
			</div>

			<div class="form-group">
				<label for="input-live_type" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('LIVE_TYPE')}</label>
				<div class="col-md-6 col-sm-10">
                    <select class="form-control" name="live_type" id="live_type">
                        <option value="0" <eq name="data['live_type']" value="0">selected</eq>>直播间</option>
                        <option value="1" <eq name="data['live_type']" value="1">selected</eq>>{:lang('CHAT_ROOM')}</option>
                    </select>
				</div>
			</div>
			<div class="form-group" id="voice" <eq name="data['live_type']" value="0">style="display:none;"</eq>>
				<label for="input-type" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('CHAT_ROOM_TYPE')}</label>
				<div class="col-md-6 col-sm-10">
                    <select class="form-control" name="voice_type">
                        <option value="0" >{:lang('VOICE_CHAT')}</option>
                        <option value="1" <eq name="data['voice_type']" value="1">selected</eq>>视频</option>
                    </select>
				</div>
			</div>
			
			<notempty name="goods_list">
				<div class="form-group" id="goods">
					<label for="input-goodsid" class="col-sm-2 control-label"><span class="form-required">*</span>>{:lang('RELATED_PRODUCTS')}</label>
					<div class="col-md-6 col-sm-10">
						<foreach name="goods_list" id="vo">
							<input type="checkbox" name="goodsid[]" data-name="{$vo['name']}" value="{$vo['id']}" <if condition="$vo['issale'] eq '1'"> checked </if> >{$vo['name']}（{$vo['id']}）<if condition="$vo['live_isshow'] eq 1">【直播间弹窗展示】</if><br />
						</foreach>

						<p class="help-block">{:lang('LIVE_ROOM_PRODUCT_LIST')}</p>
					</div>
				</div>
			</notempty>
            
            <div class="form-group" id="liveclass" <eq name="data['live_type']" value="1">style="display:none;"</eq>>
				<label for="input-type" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('LIVE_CATEGORY')}</label>
				<div class="col-md-6 col-sm-10">
                    <select class="form-control" name="liveclassid">
                    	<option value="0" <eq name="data['liveclassid']" value="0">selected</eq>>{:lang('DEFAULT_CATEGORY')}</option>
                        <volist name="liveclass" id="v">
                        <option value="{$v['id']}" <if condition="$data['liveclassid'] gt 0 and $data['liveclassid'] eq $v['id']">selected</if>>{$v['name']}</option>
                        </volist>
                    </select>
				</div>
			</div>
            
            <div class="form-group" id="type" <eq name="data['live_type']" value="1">style="display:none;"</eq>>
				<label for="input-type" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('ROOM_TYPE')}</label>
				<div class="col-md-6 col-sm-10">
                    <select class="form-control" name="type" id="cdn">
                        <volist name="type" id="v">
                        <option value="{$key}" <eq name="data['type']" value="$key">selected</eq>>{$v}</option>
                        </volist>
                    </select>
				</div>
			</div>
            <if condition="$data['type'] eq '0' && $data['live_type'] eq '0'">
            	<div class="form-group" id="cdn_switch_1"  style="display:none;">
            <else />
            	<div class="form-group" id="cdn_switch_1">
        	</if>

				<label for="input-type_val" class="col-sm-2 control-label"><span class="form-required">*</span>密码或价格</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-type_val" name="type_val" value="{$data['type_val']}">
				</div>
			</div>
            
            
            <div class="form-group">
				<label for="input-pull" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('VIDEO_URL')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-pull" name="pull" value="{$data['pull']}">{:lang('VIDEO_FORMAT')}: mp4,{:lang('MUST_BE_LOWERCASE')}
				</div>
			</div>
            
            <div class="form-group" id="anyway" <eq name="data['live_type']" value="1">style="display:none;"</eq>>
				<label for="input-words" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('VIDEO_TYPE')}</label>
				<div class="col-md-6 col-sm-10">
					<select class="form-control" name="anyway">
                        <option value="0" >{:lang('PORTRAIT_MODE')}</option>
                        <option value="1" <eq name="data['anyway']" value="1">selected</eq>>{:lang('LANDSCAPE_MODE')}</option>
                    </select>
				</div>
			</div>
            
            <div class="form-group">
				<div class="col-sm-offset-2 col-sm-10">
					<button type="submit" class="btn btn-primary js-ajax-submit">{:lang('EDIT')}</button>
					<a class="btn btn-default" href="{:url('Liveing/index')}">{:lang('BACK')}</a>
				</div>
			</div>

		</form>
	</div>
	<script src="__STATIC__/js/admin.js"></script>
    <script type="text/javascript">
    (function(){
		$("#cdn").on('change',function(){
			var v=$(this).val();
			var b=$("#cdn_switch_1");
			if(v==0){
				b.hide();
				$("#input-type_val").val('');
			}else{
				b.show();
			}
		});
		$("#live_type").on('change',function(){
			var v=$(this).val();
			if(v==0){
				$("#liveclass").show();
				$("#type").show();
				$("#anyway").show();
				$("#goods").show();
				$("#voice").hide();
			}else{
				$("#liveclass").hide();
				$("#type").hide();
				$("#anyway").hide();
				$("#goods").hide();
				$("#voice").show();
			}
		});
	})()
    </script>
</body>
</html>